Runtime

## org.eclipse.gmf.runtime.diagram.ui.actions
Class IndividualCompartmentAction

    java.lang.Object
      org.eclipse.core.commands.common.EventManager
          org.eclipse.jface.action.AbstractAction
              org.eclipse.jface.action.Action
                  org.eclipse.gmf.runtime.common.ui.action.AbstractActionHandler
                      org.eclipse.gmf.runtime.diagram.ui.actions.DiagramAction
                          org.eclipse.gmf.runtime.diagram.ui.internal.actions.PropertyChangeAction
                              org.eclipse.gmf.runtime.diagram.ui.actions.CheckedPropertyAction
                                  org.eclipse.gmf.runtime.diagram.ui.actions.BooleanPropertyAction
                                      org.eclipse.gmf.runtime.diagram.ui.actions.IndividualCompartmentAction

All Implemented Interfaces:
  Disposable, IAction, IActionWithProgress, IDisposableAction, IOperationHistoryListener, IPropertyListener, ISelectionChangedListener

public abstract class IndividualCompartmentAction
extends BooleanPropertyAction

An abstract base class that represents a boolean-based action that is applicable to specific shape compartments

Nested Class Summary

Nested classes inherited from class org.eclipse.gmf.runtime.common.ui.action.IActionWithProgress
`IActionWithProgress.WorkIndicatorType`

Field Summary

Fields inherited from interface org.eclipse.jface.action.IAction
`AS_CHECK_BOX, AS_DROP_DOWN_MENU, AS_PUSH_BUTTON, AS_RADIO_BUTTON, AS_UNSPECIFIED, CHECKED, DESCRIPTION, ENABLED, HANDLED, IMAGE, RESULT, TEXT, TOOL_TIP_TEXT`

Constructor Summary
`IndividualCompartmentAction(IWorkbenchPage workbenchPage, java.lang.String compartmentSemanticHint)`

Method Summary
`protected Request` `createTargetRequest()` Creates a new target request
`protected java.lang.String` `getCompartmentSemanticHint()` Returns the request compartment semantic hint
`protected java.lang.Object` `getPropertyValue(IGraphicalEditPart editPart, java.lang.String thePropertyId)` A utility method to return the value of a given property for a given editpart

Methods inherited from class org.eclipse.gmf.runtime.diagram.ui.actions.BooleanPropertyAction
`getNewPropertyValue`

Methods inherited from class org.eclipse.gmf.runtime.diagram.ui.actions.CheckedPropertyAction
`calculateChecked, getStyle, isOperationHistoryListener, refresh`

Methods inherited from class org.eclipse.gmf.runtime.diagram.ui.internal.actions.PropertyChangeAction
`getOperationSetPropertyValue, getPropertyId, getPropertyName, isSelectionListener, setPropertyId, setPropertyName, updateTargetRequest`

Methods inherited from class org.eclipse.gmf.runtime.diagram.ui.actions.DiagramAction
`calculateEnabled, clearTargetRequest, createOperationSet, dispose, doRun, execute, filterEditPartsMatching, getCommand, getCommand, getCommandLabel, getDiagramCommandStack, getDiagramEditDomain, getDiagramEditPart, getDiagramGraphicalViewer, getDiagramWorkbenchPart, getOperationSet, getPreferencesHint, getSelectedObjects, getTargetEditParts, getTargetRequest, setTargetRequest`

Methods inherited from class org.eclipse.gmf.runtime.common.ui.action.AbstractActionHandler

`contributedToPart, getActionManager, getLabel, getOperationHistory, getPartListener, getSelection, getStructuredSelection, getUndoContext, getWorkbenchPage, getWorkbenchPart, getWorkIndicatorType, handle, historyNotification, init, isDisposed, isPropertyListener, isRunnable, isSetup, needsSetup, openErrorDialog, propertyChanged, run, run, runWithEvent, selectionChanged, setDisposed, setPartSelector, setSetup, setup, setWorkbenchPart`

Methods inherited from class org.eclipse.jface.action.Action

`convertAccelerator, convertAccelerator, findKeyCode, findKeyString, findModifier, findModifierString, getAccelerator, getActionDefinitionId, getDescription, getDisabledImageDescriptor, getHelpListener, getHoverImageDescriptor, getId, getImageDescriptor, getMenuCreator, getText, getToolTipText, isChecked, isEnabled, isHandled, notifyResult, removeAcceleratorText, removeMnemonics, setAccelerator, setActionDefinitionId, setChecked, setDescription, setDisabledImageDescriptor, setEnabled, setHelpListener, setHoverImageDescriptor, setId, setImageDescriptor, setMenuCreator, setText, setToolTipText`

Methods inherited from class org.eclipse.jface.action.AbstractAction
`addPropertyChangeListener, firePropertyChange, firePropertyChange, removePropertyChangeListener`

Methods inherited from class org.eclipse.core.commands.common.EventManager
`addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.action.IAction

`addPropertyChangeListener, getAccelerator, getActionDefinitionId, getDescription, getDisabledImageDescriptor, getHelpListener, getHoverImageDescriptor, getId, getImageDescriptor, getMenuCreator, getText, getToolTipText, isChecked, isEnabled, isHandled, removePropertyChangeListener, setAccelerator, setActionDefinitionId, setChecked, setDescription, setDisabledImageDescriptor, setEnabled, setHelpListener, setHoverImageDescriptor, setId, setImageDescriptor, setMenuCreator, setText, setToolTipText`

Constructor Detail

### IndividualCompartmentAction

    public IndividualCompartmentAction(IWorkbenchPage workbenchPage,
                                       java.lang.String compartmentSemanticHint)

Parameters:
  `workbenchPage` - the active workbenchPage
  `compartmentSemanticHint` - the hint indicating the compartment type

Method Detail

### createTargetRequest

    protected Request createTargetRequest()

  Description copied from class: `org.eclipse.gmf.runtime.diagram.ui.internal.actions.PropertyChangeAction`
  Creates a new target request

  Returns:
    the new target request

### getCompartmentSemanticHint

    protected java.lang.String getCompartmentSemanticHint()

  Returns the request compartment semantic hint

  Returns:
    The request compartment semantic hint

### getPropertyValue

    protected java.lang.Object getPropertyValue(IGraphicalEditPart editPart,
                                                java.lang.String thePropertyId)

  Description copied from class: `org.eclipse.gmf.runtime.diagram.ui.internal.actions.PropertyChangeAction`
  A utility method to return the value of a given property for a given editpart

  Parameters:
    `editPart` - The editpart
  Returns:
    The current value of the editpart's given property

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.